package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class LTEMDynamicVO extends HeaderVO{
	String table_nm;
	String mrn;					//선박 MRN
	int rsrp;				//LTE 신호 세기(RSRP)
	int rssi;				//LTE 신호 세기(RSSI)
	int signal_quality;		//LTE 신호 품질
	int sinr;				//LTE 신호 잡음비
	int la;
	int lo;
	int sog;
	int cog;
	int gps_sttus;			//GPS 상태
	int battery_use_yn;		//배터리 사용여부
	String raw;
	
	public LTEMDynamicVO() {
		table_nm = "";
		la = 54600000;
		lo = 108600000;
		sog = 16383;
		cog = 511;
	}
			
	public String getMrn() {
		return mrn;
	}
	public void setMrn(String mrn) {
		this.mrn = mrn;
	}
	public int getRsrp() {
		return rsrp;
	}
	public void setRsrp(int rsrp) {
		this.rsrp = rsrp;
	}
	public int getRssi() {
		return rssi;
	}
	public void setRssi(int rssi) {
		this.rssi = rssi;
	}
	public int getSignal_quality() {
		return signal_quality;
	}
	public void setSignal_quality(int signal_quality) {
		this.signal_quality = signal_quality;
	}
	public int getSinr() {
		return sinr;
	}
	public void setSinr(int sinr) {
		this.sinr = sinr;
	}
	public int getGps_sttus() {
		return gps_sttus;
	}
	public void setGps_sttus(int gps_sttus) {
		this.gps_sttus = gps_sttus;
	}
	public int getBattery_use_yn() {
		return battery_use_yn;
	}
	public void setBattery_use_yn(int battery_use_yn) {
		this.battery_use_yn = battery_use_yn;
	}
	public String getTable_nm() {
		return table_nm;
	}
	public void setTable_nm(String table_nm) {
		this.table_nm = table_nm;
	}
	public int getLa() {
		return la;
	}
	public void setLa(int la) {
		this.la = la;
	}
	public int getLo() {
		return lo;
	}
	public void setLo(int lo) {
		this.lo = lo;
	}
	public int getSog() {
		return sog;
	}
	public void setSog(int sog) {
		this.sog = sog;
	}
	public int getCog() {
		return cog;
	}
	public void setCog(int cog) {
		this.cog = cog;
	}

	public String getRaw() {
		return raw;
	}

	public void setRaw(String raw) {
		this.raw = raw;
	}

	public String getString() {
		return "TargetSensor    : "+this.targetSensor+"\n"+
				"packetID       : "+this.packetID+"\n"+
				"Ship_ID        : "+this.shipID +"\n"+
				"DateTime       : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	    : "+this.areaID+"\n"+
				"MsgType 	    : "+this.msgType+"\n"+
				"DataLength     : "+this.dataLength+"\n"+
				"MRN            : "+this.mrn+"\n"+				
				"RSRP           : "+this.rsrp+"\n"+			
				"RSSI           : "+this.rssi+"\n"+			
				"signal_Quality : "+this.signal_quality+"\n"+	
				"SINR           : "+this.sinr+"\n"+			
				"La 	        : " + String.valueOf(this.la) + "\n" + 
				"Lo 	        : " + String.valueOf(this.lo) + "\n" + 
				"Sog 		    : " + String.valueOf(this.sog) + "\n" + 
				"Cog 		    : " + String.valueOf(this.cog) + "\n" + 	
				"gps_sttus 	    : " + String.valueOf(this.gps_sttus) + "\n" + 
				"battery_use_yn : " + String.valueOf(this.battery_use_yn);

	}

	@Override
	public String toString() {
		return "LTEMDynamicVO{" +
				"table_nm='" + table_nm + '\'' +
				", mrn='" + mrn + '\'' +
				", rsrp=" + rsrp +
				", rssi=" + rssi +
				", signal_quality=" + signal_quality +
				", sinr=" + sinr +
				", la=" + la +
				", lo=" + lo +
				", sog=" + sog +
				", cog=" + cog +
				", gps_sttus=" + gps_sttus +
				", battery_use_yn=" + battery_use_yn +
				", raw='" + raw + '\'' +
				'}';
	}
}
